BLAS/SRC/csscal.f(3)

NAME
BLAS/SRC/csscal.f

SYNOPSIS

  Functions/Subroutines
subroutine csscal (n, sa, cx, incx)
CSSCAL

Function/Subroutine Documentation

  subroutine csscal (integer n, real sa, complex, dimension(*) cx, integer incx)

CSSCAL

Purpose:

        CSSCAL scales a complex vector by a real constant.

Parameters
    N

              N is INTEGER
             number of elements in input vector(s)

    SA

              SA is REAL
               On entry, SA specifies the scalar alpha.

    CX

              CX is COMPLEX array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of CX

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

         jack dongarra, linpack, 3/11/78.
         modified 3/93 to return if incx .le. 0.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 77 of file csscal.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.